/* about_callbacks.c -- callbacks for the about dialog box
 *
 * Copyright (C) 2001 Janusz Gregorczyk <jgregor@kki.net.pl>
 *
 * This file is part of xvs.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. 
 */

#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include <gtk/gtk.h>

#include "about_callbacks.h"
#include "about_interface.h"
#include "support.h"

/* Externs. */

extern GtkWidget *about_window;
extern const char readme[];

/* Callbacks. */

void
on_about_window_show                   (GtkWidget       *widget,
                                        gpointer         user_data)
{
  GdkFont *font; 
  GtkWidget *text;
  
  text = lookup_widget (widget, "about_text");
  font = gdk_font_load("-*-courier-medium-r-normal--*-120-*-*-*-*-*-*");
  gtk_text_insert (GTK_TEXT(text), font, NULL, NULL, readme, -1);
  gdk_font_unref (font);
  gtk_text_set_editable (GTK_TEXT(text), FALSE);
}


gboolean
on_about_window_delete_event           (GtkWidget       *widget,
                                        GdkEvent        *event,
                                        gpointer         user_data)
{
  about_window = NULL;
  return FALSE;
}


void
on_about_window_close_clicked          (GtkButton       *button,
                                        gpointer         user_data)
{
  gtk_widget_destroy (about_window);
  about_window = NULL;
}
