/* misc.h -- various drawing routines
 *
 * Copyright (C) 2001 Janusz Gregorczyk <jgregor@kki.net.pl>
 *
 * This file is part of xvs.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. 
 */
 
#ifndef Included_MISC_H
#define Included_MISC_H

#include <glib.h>

#include "../image.h"

/* Blending modes. */
enum { BM_REPLACE, 
       BM_ADDITIVE, 
       BM_SUBSTRACTIVE,
       BM_AVERAGE };

/* Horizontal & vertical lines. */
void draw_hline_nc (XVS_Image *img, int y, int x1, int x2, guint32 color);
void draw_vline_nc (XVS_Image *img, int x, int y1, int y2, guint32 color);

/* Arbitrary lines. */
void draw_line (XVS_Image *img, int x1, int y1, int x2, int y2, guint32 color);

/* Circles. */
void draw_circle (XVS_Image *img, int x0, int y0, int radius, 
		  guint32 color, int mode);

/* Blits. */
void table_blit (guint32 *dest, guint32 *src, guint32 *tab, guint tabsize);
/* Table blit with bilinear filtering. */
void table_blit_bf (guint32 *dest, guint32 *src, guint32 *tab, guint tabsize);

#endif /* Included_MISC_H */
