/* renderer.h -- a generic renderer interface
 *
 * Copyright (C) 2001 Janusz Gregorczyk <jgregor@kki.net.pl>
 *
 * This file is part of xvs.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. 
 */

#ifndef Included_RENDERER_H
#define Included_RENDERER_H

#include <glib.h>
#include <pthread.h>
#include <xmms/configfile.h>

#include "../image.h"

void renderer_init (void);
void renderer_cleanup (void);
void renderer_display (XVS_Image *img);

void renderer_cfg_load (ConfigFile *cfg, gchar *section);
void renderer_cfg_save (ConfigFile *cfg, gchar *section);

gboolean renderer_handle_events (void);
void renderer_request_resize (int width, int height);
void renderer_request_disable (void);

extern XVS_Image *img, *img_aux;
extern pthread_mutex_t img_mutex;

#endif /* Included_RENDERER_H */
