/* color_button.h -- a button with color preview
 *
 * Copyright (C) 2001 Janusz Gregorczyk <jgregor@kki.net.pl>
 *
 * This file is part of xvs.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. 
 */
 
#ifndef Included_COLOR_BUTTON_H
#define Included_COLOR_BUTTON_H

#include <gtk/gtk.h>

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

#define COLOR_BUTTON(obj) \
  GTK_CHECK_CAST (obj, color_button_get_type (), Color_Button)
#define COLOR_BUTTON_CLASS(klass) \
  GTK_CHECK_CLASS_CAST (klass, color_button_get_type (), Color_ButtonClass)
#define IS_COLOR_BUTTON(obj) \
  GTK_CHECK_TYPE (obj, color_button_get_type ())

typedef struct _Color_Button      Color_Button;
typedef struct _Color_ButtonClass Color_ButtonClass;

struct _Color_Button {
  GtkButton button;

  GtkPreview *preview;
  guint32 color;
};

struct _Color_ButtonClass {
  GtkButtonClass parent_class;

  void (*color_changed) (Color_Button *button);
};

guint      color_button_get_type (void);
GtkWidget* color_button_new      (void);
void       color_button_set_color (Color_Button *button, guint32 color);

#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* Included_COLOR_BUTTON_H */
